<div class="columns">

  <div style="width: 45%;">
    <h2>Summary</h2>
    <ul class='round'>
      <li><label>Name:</label> <%= @email.name %></li>
      <li><label>Subject:</label> <%= @email.subject %></li>
      <li><label>From Address:</label> <%= @email.from_address %></li>
      <li><label>From Name:</label> <%= @email.from_name %></li>
      <li><label>Target List:</label> <%= @email.target_list.name %></li>
      
      <% if @email.attack_type != 'none' %>
        <li style="position: relative;"><label>Attack Type:</label> <%= email_attack_type_pairs.invert[@email.attack_type] %>
          <% if @email.file_format_attack? %>
            <div class='module-path'><span class='gt'>&gt;</span> <%= @email.exploit_module.title %></div>
            <div class='options'><%= add_hash_syntax_highlighting @email.exploit_module_config %></div>
            <a class='showhide exploit' style="position: absolute; bottom: 1px; right: 10px; z-index: 999;">More...</a>
            <script type='text/javascript'>
              $a = jQuery('a.showhide.exploit').filter(':visible');
              $a.click(function() {
                jQuery(this).parent().find('.options').css({'overflow-y': 'none', 'overflow-x': 'auto', 'max-height': 'none'});
                jQuery(this).hide();
              });
              $li = jQuery('.options', $a.parents('li'));
              if ($li.size()>0 && !($li[0].scrollHeight > $li.height()+20)) $a.hide();
            </script>
          <% end %>
        </li>
        <% if @email.file_attack? %>
          <li><label>File Generation Type:</label> <%= web_page_file_generation_type_pairs.invert[@email.file_generation_type] %></li>
          <li><label>Attachment Filename:</label> <%= @email.attachment_file_name %></li>


        <% end %>
      <% end %>

      <li><label>Content:</label><br />
        <span style="font-family: monospace; white-space: pre; white-space: pre-wrap;"><%= @email.content %></span></li>
      <% if @email.uses_template? %>
        <li><label>Email Template:</label> <%= @email.template.name %></li>
      <% end %>
    </ul>
  </div>

  <div style="width: 55%">
    <h2>Preview</h2>
    <iframe class="preview" src="<%= @email_path + "/preview" %>"></iframe>
  </div>
</div>
